#include <iostream>
#include <vector>
#include <string>
#include "Element.h"
using namespace std;



Element::Element(const double& ALFX, const double& ALFY, const double& APER_1, const double& APER_2, const double& APER_3, const double& APER_4, const string& APERTYPE, const double& BETX, const double& BETY, const double& DPX, const double& DPY, const double& DX, const double& DY, const string& KEYWORD, const double& L, const double& MUX, const double& MUY, const string& NAME, const double& PTC, const double& PXC, const double& PYC, const double& S, const double& TC, const double& XC, const double& YC, const double& K0L, const double& K0SL, const double& K1L, const double& K1SL, const double& K2L, const double& K2SL, const string& PARENT)
    : ALFX(ALFX),
      ALFY(ALFY),
      APER_1(APER_1),
      APER_2(APER_2),
      APER_3(APER_3),
      APER_4(APER_4),
      APERTYPE(APERTYPE),
      BETX(BETX),
      BETY(BETY),
      DPX(DPX),
      DPY(DPY),
      DX(DX),
      DY(DY),
      KEYWORD(KEYWORD),
      L(L),
      MUX(MUX),
      MUY(MUY),
      NAME(NAME),
      PTC(PTC),
      PXC(PXC),
      PYC(PYC),
      S(S),
      TC(TC),
      XC(XC),
      YC(YC),
      K0L(K0L),
      K0SL(K0SL),
      K1L(K1L),
      K1SL(K1SL),
      K2L(K2L),
      K2SL(K2SL),
      PARENT(PARENT)
{}

Element::Element(const Element& obj)
    : ALFX(obj.ALFX),
      ALFY(obj.ALFY),
      APER_1(obj.APER_1),
      APER_2(obj.APER_2),
      APER_3(obj.APER_3),
      APER_4(obj.APER_4),
      APERTYPE(obj.APERTYPE),
      BETX(obj.BETX),
      BETY(obj.BETY),
      DPX(obj.DPX),
      DPY(obj.DPY),
      DX(obj.DX),
      DY(obj.DY),
      KEYWORD(obj.KEYWORD),
      L(obj.L),
      MUX(obj.MUX),
      MUY(obj.MUY),
      NAME(obj.NAME),
      PTC(obj.PTC),
      PXC(obj.PXC),
      PYC(obj.PYC),
      S(obj.S),
      TC(obj.TC),
      XC(obj.XC),
      YC(obj.YC),
      K0L(obj.K0L),
      K0SL(obj.K0SL),
      K1L(obj.K1L),
      K1SL(obj.K1SL),
      K2L(obj.K2L),
      K2SL(obj.K2SL),
      PARENT(obj.PARENT)
{}

Element Element::operator=(const Element& elt)
{
    Element result(elt);

    return result;
}


void Element::affiche()
{

    cout << "Here are the details of our element: " << endl;
    cout << "ALFX: " << ALFX << endl;
    cout << "ALFY: " << ALFY << endl;
    cout << "APER_1: " << APER_1 << endl;
    cout << "APER_2: " << APER_2 << endl;
    cout << "APER_3: " << APER_3 << endl;
    cout << "APER_4: " << APER_4 << endl;
    cout << "APERTYPE: " << APERTYPE << endl;
    cout << "BETX: " << BETX << endl;
    cout << "BETY: " << BETY << endl;
    cout << "DPX: " << DPX << endl;
    cout << "DPY: " << DPY << endl;
    cout << "DX: " << DX << endl;
    cout << "DY: " << DY << endl;
    cout << "KEYWORD: " << KEYWORD << endl;
    cout << "L: " << L << endl;
    cout << "MUX: " << MUX << endl;
    cout << "MUY: " << MUY << endl;
    cout << "NAME: " << NAME << endl;
    cout << "PTC: " << PTC << endl;
    cout << "PXC: " << PXC << endl;
    cout << "PYC: " << PYC << endl;
    cout << "S: " << S << endl;
    cout << "TC: " << TC << endl;
    cout << "XC: " << XC << endl;
    cout << "YC: " << YC << endl;
    cout << "K0L: " << K0L << endl;
    cout << "K0SL: " << K0SL << endl;
    cout << "K1L: " << K1L << endl;
    cout << "K1SL: " << K1SL << endl;
    cout << "K2L: " << K2L << endl;
    cout << "K2SL: " << K2SL << endl;
    cout << "PARENT: " << PARENT << endl;
}


