#Gnuplot script file for the PlotRunSummary (Plot of the loss map)


   set autoscale xmax
   set autoscale y
   set key default
   set xrange [-1:]
   set ylabel "P'(W/m)"
   set xlabel "Distance from starting point (km)"
   set title "Loss map"

   load 'labelsIP.p'
   
   plot "PlotRunSummary1.dat" using 2:1 title 'Losses' with boxes, \
      "PlotRunSummary2.dat" using 2:1 title 'IP' with impulses

	 load 'labelsIPend.p'