#Gnuplot script for PlotRunSummary (Plot of the development after the first impact on collimator)


   set autoscale
   set key default
    set title "Time Development after first impact on collimator"
    set xlabel "N_turn"
    set ylabel "Number of particles"
    set logscale y

    plot "PlotRunSummary4.dat" using 1:2 title 'particles in beam' with line, \
	       "PlotRunSummary4.dat" using 1:3 title 'particles lost on collimators' with line, \
	       "PlotRunSummary4.dat" using 1:4 title 'particles lost elsewhere' with line


		  unset logscale y